Skip to main content
GET
/
access
/
v1
/
enrollment
cURL
curl --request GET \
  --url https://api.invopop.com/access/v1/enrollment \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.invopop.com/access/v1/enrollment"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.invopop.com/access/v1/enrollment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "app_id": "01900e17-db4d-78a5-8505-c93ae63e8a0d",
  "created_at": "2018-01-01T00:00:00.000Z",
  "data": {
    "key": "value"
  },
  "disabled": false,
  "id": "01950020-daef-7d75-b1ba-33e7e392a658",
  "owner_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
  "sandbox": false,
  "token": "<string>",
  "token_expires": 1680000000,
  "updated_at": "2018-01-01T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

app_id
string

ID of the application associated with the enrollment.

Example:

"01900e17-db4d-78a5-8505-c93ae63e8a0d"

created_at
string

The date and time the enrollment was created.

Example:

"2018-01-01T00:00:00.000Z"

data
any

Additional data associated with the enrollment.

Example:
{ "key": "value" }
disabled
boolean

Whether the enrollment is disabled.

Example:

false

id
string

UUID of the enrollment.

Example:

"01950020-daef-7d75-b1ba-33e7e392a658"

owner_id
string

The ID of the entity that owns the enrollment.

Example:

"347c5b04-cde2-11ed-afa1-0242ac120002"

sandbox
boolean

Indicates if the enrollment's workspace is in a sandbox environment.

Example:

false

token
string

A token that may be used to authenticate the enrollment with API operations.

token_expires
integer

The expiration unix timestamp of the token.

Example:

1680000000

updated_at
string

The date and time the enrollment was last updated.

Example:

"2018-01-01T00:00:00.000Z"